%define mozver mozilla = 37:1.7.8
ExclusiveArch: i386 x86_64 ppc s390

Summary: GNOME web browser based on the Mozilla rendering engine
Name: epiphany
Version: 1.0.8
Release: 1.fc1.3.legacy
License: GPL
Group: Applications/Internet
URL: http://epiphany.mozdev.org
Source0: http://downloads.mozdev.org/epiphany/%{name}-%{version}.tar.bz2
Patch0: epiphany-1.0.1-home-page.patch
Patch1: epiphany-1.0.4-rpath.patch
Patch2: epiphany-1.0.8-mozilla-1.7.8.patch
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-buildroot
Prereq: scrollkeeper, GConf2
Requires: %mozver
# 1.0.5 for gnome-spinner, 1.0.6 for web-browser
Requires: gnome-icon-theme >= 1.0.6-1
BuildRequires: mozilla-devel >= 1.7.8
BuildRequires: %mozver
BuildRequires: gtk2-devel
BuildRequires: libbonoboui-devel >= 2.1.1
BuildRequires: scrollkeeper >= 0.1.4
BuildRequires: libxml2-devel, libgnomeui-devel, libglade2-devel
BuildRequires: gnome-vfs2-devel, GConf2-devel, ORBit2-devel
BuildRequires: eel2-devel
BuildRequires: nautilus
BuildRequires: gettext
BuildRequires: pkgconfig
BuildRequires: perl-XML-Parser

%description
epiphany is a simple GNOME web browser based on the Mozilla rendering
engine

%prep
%setup -q

%patch0 -p1 -b .homepage
%patch1 -p1 -b .rpath
%patch2 -p1 -b .mozilla-1.7.7

%build
%configure --enable-nautilus-view=yes
make

%install
rm -rf $RPM_BUILD_ROOT
export GCONF_DISABLE_MAKEFILE_SCHEMA_INSTALL=1
%makeinstall
unset GCONF_DISABLE_MAKEFILE_SCHEMA_INSTALL

%find_lang %{name}

rm -rf $RPM_BUILD_ROOT/var/scrollkeeper
rm -rf $RPM_BUILD_ROOT/usr/include

%post
export GCONF_CONFIG_SOURCE=`gconftool-2 --get-default-source`
SCHEMAS="epiphany.schemas"
for S in $SCHEMAS; do
  gconftool-2 --makefile-install-rule /etc/gconf/schemas/$S > /dev/null
done
scrollkeeper-update

%postun
scrollkeeper-update

%clean
rm -rf $RPM_BUILD_ROOT

%files -f %{name}.lang
%defattr(-,root,root,-)
%doc
%{_sysconfdir}/gconf/schemas/epiphany.schemas
%{_bindir}/epiphany
%{_bindir}/epiphany-bin
%{_libdir}/bonobo/servers/*
%{_datadir}/applications/*.desktop
%{_datadir}/epiphany
%{_datadir}/gnome/help/epiphany
%{_datadir}/omf/epiphany
%{_datadir}/pixmaps/*png
%{_datadir}/application-registry/epiphany.applications
%{_libdir}/pkgconfig/*.pc



%changelog
* Tue May 24 2005 Marc Deslauriers <marcdeslauriers@videotron.ca> 1.0.8-1.fc1.3.legacy
- Rebuilt for Mozilla 1.7.8

* Tue May  3 2005 Marc Deslauriers <marcdeslauriers@videotron.ca> 1.0.8-1.fc1.2.legacy
- Added missing perl-XML-Parser BuildRequires

* Sat Apr 30 2005 Marc Deslauriers <marcdeslauriers@videotron.ca> 1.0.8-1.fc1.1.legacy
- Updated to 1.0.8
- Added patch to make epiphany 1.0.8 work with Mozilla 1.7.7

* Thu Mar 24 2005 Marc Deslauriers <marcdeslauriers@videotron.ca> 1.0.4-2.5.legacy
- Rebuilt for Mozilla 1.4.4

* Sat Oct 23 2004 Marc Deslauriers <marcdeslauriers@videotron.ca> 1.0.4-2.4.legacy
- Added %mozver and pkgconfig to BuildRequires

* Sun Oct 17 2004 Dominic Hargreaves <dom@earth.li> 1.0.4-2.3.legacy
- BuildDepends on mozilla 1.4.3

* Thu Oct  7 2004 Dominic Hargreaves <dom@earth.li> 1.0.4-2.2.legacy
- Add BuildDepends on nautilus, gettext

* Fri Sep 24 2004 Rob Myers <rob.myers@gtri.gatech.edu> 1.0.4-2.1.legacy
- rebuild against mozilla-1.4.3-3.0.3.legacy
- change mozver to 1.4.3
- add epiphany-1.0.4-mozilla-1.4.3.patch to enable builds against mozilla 1.4.3

* Mon Oct 27 2003 Jakub Jelinek <jakub@redhat.com> 1.0.4-2
- link epiphany-bin with -Wl,-rpath,/usr/lib/mozilla-1.4.1,--enable-new-dtags
  to make it prelinkable

* Fri Oct 24 2003 Jeremy Katz <katzj@redhat.com> 1.0.4-1
- 1.0.4

* Fri Oct 24 2003 Christopher Blizzard <blizzard@redhat.com> 1.0.1-3
- Enable the nautilus view

* Fri Oct 10 2003 Christopher Blizzard <blizzard@redhat.com> 1.0.1-2
- Add patch to set the home page to the release notes

* Mon Oct  6 2003 Jeremy Katz <katzj@redhat.com> 1.0.1-1
- 1.0.1

* Fri Sep 26 2003 Chris Blizzard <blizzard@redhat.com> 1.0-2
- Updates for Mozilla 1.4.1

* Tue Sep  9 2003 Jeremy Katz <katzj@redhat.com> 1.0-1
- 1.0

* Wed Sep  3 2003 Jeremy Katz <katzj@redhat.com> 0.9.3-1
- 0.9.3

* Mon Aug 25 2003 Jeremy Katz <katzj@redhat.com> 0.9.2-1
- 0.9.2

* Mon Aug 11 2003 Jeremy Katz <katzj@redhat.com> 0.8.4-1
- 0.8.4

* Sun Aug 10 2003 Jeremy Katz <katzj@redhat.com> 0.8.3-1
- 0.8.3

* Sun Aug  3 2003 Jeremy Katz <katzj@redhat.com> 0.8.2-1
- 0.8.2

* Fri Jul 25 2003 Christopher Blizzard <blizzard@redhat.com> 0.8.0-2
- Add ppc to the list of arches.

* Tue Jul 15 2003 Matt Wilson <msw@redhat.com> 0.8.0-1
- 0.8.0

* Fri Jul 11 2003 Christopher Blizzard <blizzard@redhat.com> 0.7.3-3
- be sure to include the mozilla rpm in the build deps since it's
  queried

* Tue Jul 01 2003 Elliot Lee <sopwith@redhat.com> 0.7.3-2
- Fix mozilla dep for new epoch

* Sun Jun 29 2003 Jeremy Katz <katzj@redhat.com> 0.7.3-1
- 0.7.3

* Sat Jun 28 2003 Jeremy Katz <katzj@redhat.com> 0.7.2-1
- update to 0.7.2

* Sun Jun  8 2003 Jeremy Katz <katzj@redhat.com> 0.7.0-4
- fix crash on startup in egg-menu-merge on x86_64

* Sat Jun  7 2003 Jeremy Katz <katzj@redhat.com> 0.7.0-3
- fix build on x86_64

* Sat Jun  7 2003 Jeremy Katz <katzj@redhat.com> 0.7.0-2
- fix build with gcc 3.3

* Sat Jun  7 2003 Jeremy Katz <katzj@redhat.com> 0.7.0-1
- update to 0.7.0

* Mon Jun  2 2003 Elliot Lee <sopwith@redhat.com> 0.6.1-2
- Rebuild to fix broken mozilla dep, patch for mozilla 1.4

* Mon May 19 2003 Jeremy Katz <katzj@redhat.com> 0.6.1-1
- 0.6.1

* Fri May  9 2003 Jeremy Katz <katzj@redhat.com> 0.6.0-4
- add patch to fix gint/gpointer conversion bugs for 64bit arches

* Fri May  9 2003 Jeremy Katz <katzj@redhat.com> 0.6.0-3
- only build on arches mozilla is built on

* Fri May  9 2003 Jeremy Katz <katzj@redhat.com> 0.6.0-2
- rebuild against new mozilla, make mozilla requires dynamic

* Sun May  4 2003 Jeremy Katz <katzj@redhat.com> 0.6.0-1
- update to 0.6.0
- fix tyop in %%postun

* Wed Apr 16 2003 Bill Nottingham <notting@redhat.com> 0.5.0-3
- make it build with mozilla-1.4 (shouldn't affect moz-1.2/moz-1.3 builds)

* Mon Apr 14 2003 Jeremy Katz <katzj@redhat.com> 0.5.0-2
- add some buildrequires, prereq GConf2
- disable building nautilus view

* Sun Apr 13 2003 Jeremy Katz <katzj@redhat.com> 
- Initial build.


